package com.ningdatech.pmapi.sys.service;

import cn.hutool.db.Db;
import cn.hutool.db.Entity;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.sys.model.entity.Menu;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.sql.SQLException;
import java.util.List;

/**
 * <p>
 * IMenuServiceTest
 * </p>
 *
 * @author WendyYang
 * @since 11:18 2023/1/29
 */
class IMenuServiceTest extends AppTests {

    @Autowired
    private IMenuService menuService;

    @Test
    public void test() throws SQLException {
        menuService.remove(null);
        List<Entity> menu = Db.use().findAll("nd_menu");
        menu.forEach(System.out::println);
        menu.forEach(w -> {
            Menu bean = w.toBean(Menu.class);
            menuService.save(bean);
        });
    }

}