package com.ningdatech.pmapi.todocenter.bean.vo;

import com.ningdatech.pmapi.todocenter.bean.entity.ProcessComment;
import com.ningdatech.pmapi.user.entity.UserInfo;
import com.wflow.workflow.bean.process.OrgUser;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 流程节点审核信息
 *
 * @author CMM
 * @since 2023/02/01 16:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProgressNodeAuditInfoVo extends ProcessComment {
    private String id;

    private String type;

    private String taskId;

    private String commentType;

    private UserInfo user;

    private Date createTime;
}
