package com.ningdatech.pmapi.statemachine;

import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.common.statemachine.util.StateMachineUtils;
import com.ningdatech.pmapi.common.statemachine.event.ProjectStatusChangeEvent;
import com.ningdatech.pmapi.projectlib.enumeration.ProjectStatusEnum;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 状态机测试
 *
 * @author CMM
 * @since 2023/02/08 11:46
 */

public class StateMachineTest extends AppTests {
    @Autowired
    private StateMachineUtils stateMachineUtils;

    @Test
    public void stateMachineTest() throws Exception {
        Project project = new Project();
        project.setStatus(ProjectStatusEnum.UNDER_INTERNAL_AUDIT.getCode());
        stateMachineUtils.execute(project, ProjectStatusChangeEvent.UNDER_INTERNAL_PASS);
    }
}
